<?php

$links = array();

$links[] = array(
    'url' => array('clientesCancelamentos/atividades', array('id' => $model->CLC_IDCANCELAMENTO)),
    'text' => 'Atividades',
    'active' => $this->action->id == 'atividades'
);

if (!empty($model->Contrato)) {
    if ($model->CLC_RESULTADO == ClientesCancelamentos::RESULTADO_NEGATIVO) {
        $text = "Termo de Cancelamento";
    } else {
        $text = "Adendo";
    }

    $links[] = array(
        'url' => array('contratos/view', array('id' => $model->Contrato->COT_IDCONTRATO)),
        'text' => $text,
        'active' => false
    );
}

if ($model->podeGerarTermo()) {
    $links[] = array(
        'url' => array('clientesCancelamentos/GerarTermo', array('id' => $model->CLC_IDCANCELAMENTO)),
        'text' => 'Gerar Termo de Cancelamento',
        'active' => false
    );
}

if ($model->podeTrocarTipo()) {
    $links[] = array(
        'url' => array('clientesCancelamentos/trocarTipo', array('id' => $model->CLC_IDCANCELAMENTO)),
        'text' => 'Trocar Tipo',
        'active' => $this->action->id == 'trocarTipo'
    );
}

if ($model->podeAprovarSolicitacao()) {
    $links[] = array(
        'url' => array('clientesCancelamentos/aprovarImediato', array('id' => $model->CLC_IDCANCELAMENTO)),
        'text' => 'Avaliar Solicitação',
        'active' => $this->action->id == 'aprovarImediato'
    );
}

if ((in_array(User::getPrivilegio(), [1, 7, 11]) || User::getId() == 356) && $model->podeSerCancelado()) {
    $links[] = array(
        'url' => array('clientesCancelamentos/cancelar', array('id' => $model->CLC_IDCANCELAMENTO)),
        'text' => 'Cancelar Solicitação',
        'active' => $this->action->id == 'cancelar'
    );
}

$links[] = array(
    'url' => array('clientes/view', array('id' => $model->CLC_IDCLIENTE)),
    'text' => 'Cliente',
    'active' => false
);

$links[] = array(
    'url' => array('clientesCancelamentos/view', array('id' => $model->CLC_IDCANCELAMENTO)),
    'text' => 'Visualizar',
    'active' => $this->action->id == 'view'
);


echo "<ul id='menu-clientes' class='nav-pills nav navbar-nav navbar-fixed-top'>";
    foreach($links as $link) {
        $class = $link['active'] ? 'active' : 'regular';
        $url = Yii::app()->createUrl($link['url'][0], $link['url'][1]);
        $text = $link['text'];

        echo "<li class='{$class}'>";
            echo "<a href='{$url}'>{$text}</a>";
        echo "</li>";
    }
echo "</ul>";